%define	upstream_name	 File-HomeDir
%define upstream_version 1.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get home directory for self or other users
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd) >= 3.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.10.0
BuildRequires: perl(File::Spec) >= 3.120.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Which) >= 0.50.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: xdg-user-dirs
BuildArch:  noarch
Requires:   perl(File::Which) >= 0.05
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude}|perl\\(Cwd\\)|perl\\(File::Path\\)|perl\\(File::Spec\\)|perl\\(File::Temp\\)|perl\\(File::Which\\)|perl\\(Mac::|perl\\(Win32

%description
A Perl module to get home directory portably for self or other users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find lib -name *.pm | xargs chmod 644
chmod 644 Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests require that user dirs exist, which is not the case within bs
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Tue Sep 29 2020 tv <tv> 1.6.0-1.mga8
+ Revision: 1631015
- update to 1.006

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504474
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1283672
- Mageia 7 Mass Rebuild

* Wed May 02 2018 tv <tv> 1.4.0-1.mga7
+ Revision: 1224699
- update to 1.004

* Mon Oct 02 2017 tv <tv> 1.2.0-5.mga7
+ Revision: 1164341
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 tv <tv> 1.2.0-4.mga7
+ Revision: 1156019
- manually requires perl(File::Which) in order to fix ton of build issues

* Sun Jul 23 2017 tv <tv> 1.2.0-3.mga7
+ Revision: 1129477
- sync excludes list with FC (mga#21236)

* Sun Jul 23 2017 shlomif <shlomif> 1.2.0-2.mga7
+ Revision: 1129354
- fix install

* Sat Jul 22 2017 shlomif <shlomif> 1.2.0-1.mga7
+ Revision: 1128542
- update to 1.002

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1027311
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 929416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-7.mga5
+ Revision: 749949
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-6.mga5
+ Revision: 732137
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 684734
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 511540
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 367262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 315060
- update to 1.00

* Thu Feb 23 2012 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 212878
- update to 0.99

* Fri Jul 08 2011 jquelin <jquelin> 0.980.0-1.mga2
+ Revision: 120392
- update to 0.98

* Tue Feb 22 2011 jquelin <jquelin> 0.970.0-1.mga1
+ Revision: 56548
- update to 0.97

* Thu Feb 10 2011 jquelin <jquelin> 0.950.0-1.mga1
+ Revision: 49808
- update to 0.95

* Fri Jan 21 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 30335
- mageia rebuild
- imported package perl-File-HomeDir

